# ``twisted`.`internet`.`interfaces`.`IResolutionReceiver``

interface documentation

`class IResolutionReceiver(Interface): (source)`

Known implementations: `twisted.internet._resolver.FirstOneWins`

View In Hierarchy

An `IResolutionReceiver` receives the results of a hostname resolution in progress, initiated by an `IHostnameResolver`.

Present Since
Twisted 17.1.0

Method | `addressResolved` | No summary
Method | `resolutionBegan` | A hostname resolution began.
Method | `resolutionComplete` | Resolution has completed; no further addresses will be relayed to `IResolutionReceiver.addressResolved`.

def addressResolved(address): (source)
An internet address. This is called when an address for the given name is discovered. In the current implementation this practically means `IPv4Address` or `IPv6Address`, but implementations of this interface should be lenient to other types being passed to this interface as well, for future-proofing.

Parameters
address:`IAddress` | An address object.

def resolutionBegan(resolutionInProgress): (source)
A hostname resolution began.

Parameters
resolutionInProgress:`IHostResolution` | an `IHostResolution`.

def resolutionComplete(): (source)
Resolution has completed; no further addresses will be relayed to `IResolutionReceiver.addressResolved`.